org.apache.lucene.search

## Class TermsFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.search.TermsFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class TermsFilter
      extends Filter

  Constructs a filter for docs matching any of the terms added to this class. Unlike a RangeFilter this can be used for filtering on multiple terms that are not necessarily in a sequence. An example might be a collection of primary keys from a database query result or perhaps a choice of "category" labels picked by the end user. As a filter, this is much faster than the equivalent query (a BooleanQuery with many "should" TermQueries)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermsFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTerm(Term term)` Adds a term to the list of acceptable terms
    `java.util.BitSet` | `bits(IndexReader reader)`
    `boolean` | `equals(java.lang.Object obj)`
    `DocIdSet` | `getDocIdSet(IndexReader reader)` Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermsFilter

          public TermsFilter()

  - ### Method Detail

    - #### addTerm

          public void addTerm(Term term)

      Adds a term to the list of acceptable terms
      Parameters:
        `term` -

    - #### bits

          public java.util.BitSet bits(IndexReader reader)
                                throws java.io.IOException

      Overrides:
        `bits` in class `Filter`
      Returns:
        A BitSet with true for documents which should be permitted in search results, and false for those that should not.

        NOTE: See `Filter.getDocIdSet(IndexReader)` for handling of multi-segment indexes (which applies to this method as well).

      Throws:
        `java.io.IOException`

    - #### getDocIdSet

          public DocIdSet getDocIdSet(IndexReader reader)
                               throws java.io.IOException

      Description copied from class: `Filter`
      Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

      Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

      Overrides:
        `getDocIdSet` in class `Filter`
      Parameters:
        `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
      Returns:
        a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
      Throws:
        `java.io.IOException`
      See Also:
        `DocIdBitSet`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.